Subject: [DNSOP] The actors in draft-ietf-dnsop-refuse-any-06.txt

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 05 Mar 2018 14:07:02 -0800

In Section 4, it says:

    1.  A DNS responder can choose to select one or a larger subset of
        the available RRSets at the QNAME.

    2.  A DNS responder can return a synthesised HINFO resource record.
        See Section 6 for discussion of the use of HINFO.

    3.  Resolver can try to give out the most likely records the
        requester wants.  This is not always possible and the result
        might well be a large response.

After reading the whole document, I can't figure out why #3 is about 
resolvers only. Was this intentional? If so, it should be explained. If 
not, please revise again to make these three scenarios use the same 
language.

--Paul Hoffman